Bug 122408 - zlib build process runs configure twice
Summary: zlib build process runs configure twice
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zlib   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-04 02:32 UTC by Joseph Tate
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 10:22:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove second run of configures (1.23 KB, patch)
2004-05-04 02:44 UTC, Joseph Tate
no flags Details | Diff

Description Joseph Tate 2004-05-04 02:32:04 UTC
Description of problem:
While inspecting the zlib spec file, I noticed that configure was
being run four times, once each for shared and static libs, and then
again when running make install.  The attached patch will prevent this
potential error introducing behavior from occurring.  Essentially,
just move the Makefile files out of the way and pass -f to the make
command.

Version-Release number of selected component (if applicable):
1.2.1

Comment 1 Joseph Tate 2004-05-04 02:44:01 UTC
Created attachment 99939 [details]
Patch to remove second run of configures

As promised.  Perhaps it is sufficent to simply skip make and go directly to
make test, however I've left it in to stay closer to the make && make test &&
make install paradigm.

Comment 2 Ivana Varekova 2005-04-12 07:07:33 UTC
this problem was fixed in zlib-1.2.2.2-3 version.
Ivana Varekova


Note You need to log in before you can comment on or make changes to this bug.